# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::SampleCoverage Class Reference

RenderState wrapping the OpenGL function glSampleCoverage(), see also http://www.opengl.org/sdk/docs/man/xhtml/glSampleCoverage.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::SampleCoverage:

List of all members.

## Public Member Functions

| SampleCoverage (GLclampf value=1.0f, bool invert=false)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (GLclampf value, bool invert)
void | setValue (GLclampf value)
void | setInvert (bool invert)
GLclampf | value () const
bool | invert () const

## Protected Attributes

GLclampf | mValue
bool | mInvert

## Detailed Description

RenderState wrapping the OpenGL function glSampleCoverage(), see also http://www.opengl.org/sdk/docs/man/xhtml/glSampleCoverage.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_SAMPLE_ALPHA_TO_COVERAGE, vl::EN_SAMPLE_ALPHA_TO_ONE, vl::EN_SAMPLE_COVERAGE

Definition at line 426 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::SampleCoverage::SampleCoverage | ( | GLclampf | value = `1.0f`,
|  | bool | invert = `false`
| ) |  | `[inline]`

Definition at line 429 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::SampleCoverage::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 433 of file Shader.hpp.

virtual ERenderState vl::SampleCoverage::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 434 of file Shader.hpp.

References vl::RS_SampleCoverage.

void SampleCoverage::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 575 of file Shader.cpp.

References mInvert, mValue, VL_CHECK_OGL, and vl::VL_glSampleCoverage().

void vl::SampleCoverage::set | ( | GLclampf | value,
|  | bool | invert
| ) |  | `[inline]`

Definition at line 436 of file Shader.hpp.

void vl::SampleCoverage::setValue | ( | GLclampf | value ) | `[inline]`

Definition at line 437 of file Shader.hpp.

void vl::SampleCoverage::setInvert | ( | bool | invert ) | `[inline]`

Definition at line 438 of file Shader.hpp.

GLclampf vl::SampleCoverage::value | ( | ) | const`[inline]`

Definition at line 439 of file Shader.hpp.

bool vl::SampleCoverage::invert | ( | ) | const`[inline]`

Definition at line 440 of file Shader.hpp.

## Member Data Documentation

GLclampf vl::SampleCoverage::mValue`[protected]`

Definition at line 442 of file Shader.hpp.

Referenced by apply().

bool vl::SampleCoverage::mInvert`[protected]`

Definition at line 443 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:45.
Permission is granted to use this page to write and publish articles regarding Visualization Library.